Kerbal Space Program - Bug #5015

"Repair wheels" listed as a skill for level 2 engineer, but level 3 is required
05/16/2015 05:36 PM - sdelisle

Status: Confirmed Start date: 05/16/2015
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion: Core Game

Description

Even the wiki says level 2 is required: http://wiki.kerbalspaceprogram.com/wiki/Engineer

Here's an example posted by /u/a3udi:

http://www.reddit.com/r/KerbalSpaceProgram/comments/3662p7/just_one_of_those_days/

Some have suggested that small rover wheels can be repaired by a level 2 engineer, but not the larger ones. | have not verified that,
but if it's the case, the tooltip and wiki are quite confusing and it should be made clearer. It can be very frustrating to spend time
sending a level 2 engineer somewhere to repair a wheel, only to find out you needed a level 3 one.

History

#1 - 07/07/2015 07:42 PM - RexKramer
- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Version changed from 1.0.1 to 1.0.4

The tooltip in the AC does indeed indicate that wheel repairs may be made by Level 2 Engineers, but an attempt to do so generates the message that
a level 3 is required.

#3 - 07/17/2016 09:30 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 08/26/2016 05:11 PM - MiniMatt

- File ksp-bug5015.png added

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Can confirm this, though as mods are in play only tentatively, under version 1.13. Just ran into it in a career play, as per the image attached the
astronaut complex lists 2 star engineer Patfred Kerman as being able to repair wheels. The image also shows Patfred attempting to repair a wheel
and being informed that a 3 star engineer is required.

Incidentally, the astronaut complex suggests my 3 star engineers have the ability to repair landing legs.

As noted | ran across this under a modded career save, so it's possible that mods have impacted it. I'll update if | have time to level an engineer to 2
stars under a stock save.

#6 - 08/27/2016 03:15 AM - MiniMatt

- File ksp-bug5015b.png added

- File stockEngineerTest.zip added

- Status changed from Updated to Confirmed
http://wiki.kerbalspaceprogram.com/wiki/Engineer
http://www.reddit.com/r/KerbalSpaceProgram/comments/3662p7/just_one_of_those_days/

Insomnia has allowed me to confirm this under a stock v1.1.3 career save. Attached image ksp-bug5015b.png shows Bill, at 2 star experience, being
informed he needs 3 stars to repair TR-2L and M1 wheels, and his astronaut complex listing stating that at 2 stars he can repair wheels.

Attached save file, stockEngineerTest.zip, has 2-star Bill on EVA just by the runway and alongside two craft, "Wheelbreaker Mini" & "Wheelbreaker
Maxi" - both with broken wheels. "Fly" Bill & attempt to repair wheels to confirm.

#7 - 10/19/2018 10:05 PM - bewing

- Expansion Core Game added

This bug is resolved. In the skills for an engineer it now correctly lists "repair landing legs" as a two star skill, and "repair wheels" as a three star skill.

Files

ksp-bug5015.png 1.13 MB 08/26/2016 MiniMatt
ksp-bug5015b.png 430 KB 08/27/2016 MiniMatt
stockEngineerTest.zip 33.2 KB 08/27/2016 MiniMatt

04/25/2024 22


http://www.tcpdf.org

